﻿@page "/calendar"
@using System.ComponentModel.DataAnnotations
@inject CRSService DataRetrieve
@inject ILocalStorageService LocalStorage
<header><h3>Расписание театра</h3></header>
<Datatable_reader Data="@DataRetrieve.GetDataAsync(calendar).Result" Class="table table-bordered table-dark" />

<EditForm Model="ticket" OnValidSubmit="@Buy">
    <DataAnnotationsValidator />
    <ValidationSummary />
    <header><h1>Покупка билетов</h1></header>
    <InputSelect @bind-Value="ticket.Show">
        @*цикл для заполнения выпадающего списка*@
        @foreach (var show in DataRetrieve.GetDataRowsAsync(calendar).Result)
        {
            <option 
             value="@show.Split('\t')[3].Split(' ')[0].Split('.')[2].@show.Split('\t')[3].Split(' ')[0].Split('.')[1].@show.Split('\t')[3].Split(' ')[0].Split('.')[0] @show.Split('\t')[3].Split(' ')[1]">
                @show.Split('\t')[0] @show.Split('\t')[3]
            </option>

        }
    </InputSelect>
    <button type="submit" @onclick="Buy">Купить билет</button>
    <button type="reset">Отменить выбор</button>
</EditForm>

@code {
    void Buy()
    {
        ticket.User = UserId;
        var Ticket = new MySqlCommand
        (
            @"
            INSERT INTO 
                theatre.orders
            VALUES 
            (
                (SELECT 
                    poster.idposter 
                FROM 
                    theatre.poster
                WHERE 
                    poster.`date` =@show),
                @user
            );
            "
        );
        Ticket.Parameters.AddWithValue("@show", ticket.Show);
        Ticket.Parameters.AddWithValue("@user", ticket.User);
        DataRetrieve.RunCommand(Ticket);
        Ticket.Parameters.Clear();
    }
    int UserId;
    TIcket ticket = new TIcket();
    MySqlCommand calendar = new MySqlCommand("SELECT * FROM theatre.poster_calendar");

    protected override async Task OnAfterRenderAsync(bool firstRender)
    {
        if (firstRender)
        {
            UserId= await LocalStorage.GetItemAsync<int>("Authorized User ID");
            StateHasChanged();
        }
    }
}
